# Tools and types for representing contacts between traces.
# Last edited on 2021-03-21 16:01:38 by jstolfi

import contour_IMP; from contour_IMP import Contour_IMP

class Contour(Contour_IMP):
  pass


def make(pts, mp_trace_contour, mp_jump):
  return contour_IMP.make(pts, mp_trace_contour, mp_jump)

def get_points(ctr):
  return contour_IMP.get_points(ctr)


def set_in_contour(ctr, ic):
  contour_IMP.set_in_contour(ctr, ic)

def get_in_contour(ctr):
  return contour_IMP.get_in_contour(ctr)


def set_out_contour(ctr, oc):
  contour_IMP.set_out_contour(ctr, oc)

def get_out_contour(ctr):
  return contour_IMP.get_out_contour(ctr)


def set_blocks(ctr, ib):
  contour_IMP.set_blocks(ctr, ib)

def get_blocks(ctr):
  return contour_IMP.get_blocks(ctr)


def find_point (ctr, pt):
  return contour_IMP.find_point(ctr, pt)

def make_path_temp(ctr,):
  return contour_IMP.make_path_temp(ctr)

def make_path(ctr, start_point):
  return contour_IMP.make_path(ctr, start_point)


def set_used(ctr, us):
  contour_IMP.set_used(ctr, us)

def used(ctr):
  return contour_IMP.used(ctr)

def create_contour(CP, mp_trace_contour, mp_jump):
  return contour_IMP.create_contour(CP, mp_trace_contour, mp_jump)

def find_external_contour(CTRS):
  contour_IMP.find_external_contour(CTRS)
  
def find_contour(CTRS, BS):
  contour_IMP.find_contour(CTRS, BS)


def bbox(CTRS):
  return contour_IMP.bbox(CTRS)